> ## Documentation Index
> Fetch the complete documentation index at: https://biscon.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Movie List

> This endpoint is used to get a list of all of the movie ids that have been changed in the past 24 hours.


> [!NOTE]
>
> You can query this method up to **14 days** at a time.\
> Use the `start_date` and `end_date` query parameters.\
> **100 items** are returned per page.


## OpenAPI

````yaml get /movie/changes
openapi: 3.0.3
info:
  title: TMDB API DOCUMENTATION
  description: >-
    The Movie Database is an API that provides comprehensive movie, TV show, and
    celebrity data. TMDB offers APIs that developers use to access and integrate
    its data into applications, websites, or services.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Endpoints for managing authentication, including login and user sessions.
  - name: Account
    description: Endpoints for managing user accounts, such as profiles and settings.
  - name: Certification
    description: Endpoints for retrieving and managing certification data.
  - name: Changes
    description: Endpoints for tracking changes and updates across the system.
  - name: Collection
    description: Endpoints for managing and accessing user collections.
  - name: Companies
    description: Endpoints for retrieving and managing company-related data.
  - name: Configuration
    description: Endpoints for accessing and updating system configuration settings.
  - name: Credits
    description: Endpoints for retrieving credit information related to movies or shows.
  - name: Discover
    description: Endpoints for discovering content based on filters and criteria.
  - name: Find
    description: Endpoints for locating specific items or entities in the database.
  - name: Genres
    description: Endpoints for retrieving and managing genres for categorization.
  - name: Guest Sessions
    description: Endpoints for creating and managing guest user sessions.
  - name: Keywords
    description: Endpoints for managing and searching content using keywords.
  - name: Lists
    description: Endpoints for creating and managing user-generated lists.
  - name: Movie Lists
    description: Endpoints for retrieving and managing lists of movies.
  - name: Movies
    description: Endpoints for retrieving detailed information about movies.
  - name: Networks
    description: Endpoints for retrieving and managing network-related data.
  - name: People Lists
    description: Endpoints for retrieving and managing lists of people in the system.
  - name: People
    description: Endpoints for retrieving information about actors, directors, and others.
  - name: Search
    description: Endpoints for performing searches across multiple categories.
  - name: Reviews
    description: Endpoints for managing and displaying reviews from users.
  - name: Trending
    description: Endpoints for retrieving trending content based on popularity.
  - name: TV Series Lists
    description: Endpoints for retrieving and managing lists of TV series.
  - name: TV Series
    description: Endpoints for retrieving detailed information about TV series.
  - name: TV Seasons
    description: Endpoints for retrieving and managing information about TV seasons.
  - name: TV Episodes
    description: Endpoints for retrieving and managing information about TV episodes.
  - name: TV Episode Groups
    description: Endpoints for managing groups of TV episodes organized by criteria.
  - name: Watch Providers
    description: >-
      Endpoints for retrieving availability information from streaming
      providers.
  - name: Auth
    description: >-
      Endpoints for managing version4 authentication, including login and user
      sessions.
  - name: Lists
    description: >-
      Endpoints for managing version4 authentication, including login and user
      sessions.
paths:
  /movie/changes:
    get:
      tags:
        - Changes
      summary: Movie List
      description: >
        This endpoint is used to get a list of all of the movie ids that have
        been changed in the past 24 hours.
      operationId: movieList
      parameters:
        - name: end_date
          in: query
          required: false
          schema:
            type: string
          description: End date
        - name: page
          in: query
          required: false
          schema:
            type: string
          description: Defaults to 1
        - name: start_date
          in: query
          required: false
          schema:
            type: string
          description: Startdate
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    description: Contains the list of data or items
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        adult:
                          type: boolean
                  page:
                    type: integer
                    description: Indicates the current page number
                  total_pages:
                    type: integer
                    description: Specifies the total number of pages available
                  total_results:
                    type: integer
                    description: >-
                      Represents the total number of items or records in a
                      dataset
                example:
                  results:
                    - id: 278147
                      adult: false
                    - id: 17466
                      adult: false
                    - id: 1402773
                      adult: false
                    - id: 688854
                      adult: false
                    - id: 1402896
                      adult: false
                    - id: 1363682
                      adult: false
                    - id: 799766
                      adult: false
                    - id: 1324203
                      adult: false
                    - id: 1402435
                      adult: false
                    - id: 1402897
                      adult: true
                    - id: 1401050
                      adult: false
                    - id: 1385730
                      adult: false
                    - id: 1402891
                      adult: false
                    - id: 1199080
                      adult: false
                    - id: 1383870
                      adult: false
                    - id: 426063
                      adult: false
                    - id: 1389437
                      adult: false
                    - id: 1268987
                      adult: false
                    - id: 1230215
                      adult: false
                    - id: 1402496
                      adult: false
                    - id: 1176059
                      adult: false
                    - id: 1276945
                      adult: false
                    - id: 1306482
                      adult: false
                    - id: 1329088
                      adult: false
                    - id: 1361339
                      adult: false
                    - id: 1372336
                      adult: false
                    - id: 1376885
                      adult: false
                    - id: 1377226
                      adult: false
                    - id: 1380486
                      adult: false
                    - id: 19039
                      adult: false
                    - id: 1385162
                      adult: false
                    - id: 1385875
                      adult: false
                    - id: 1394505
                      adult: false
                    - id: 1395814
                      adult: false
                    - id: 1396126
                      adult: true
                    - id: 1397645
                      adult: false
                    - id: 1399236
                      adult: false
                    - id: 1400596
                      adult: false
                    - id: 1273678
                      adult: false
                    - id: 1214092
                      adult: false
                    - id: 1222361
                      adult: false
                    - id: 1177623
                      adult: false
                    - id: 1299046
                      adult: false
                    - id: 1340367
                      adult: false
                    - id: 1359236
                      adult: false
                    - id: 1361232
                      adult: false
                    - id: 1361255
                      adult: false
                    - id: 1365285
                      adult: false
                    - id: 1371002
                      adult: false
                    - id: 1371789
                      adult: false
                    - id: 1393202
                      adult: true
                    - id: 1394486
                      adult: false
                    - id: 1400806
                      adult: false
                    - id: 1401674
                  page: 3
                  total_pages: 57
                  total_results: 5700
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.